Add Zone Password
curl --request POST \
--url https://api.brightdata.com/zone/add_password \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"zone": "my_zone",
"password": [
"123@Abc",
"456$Abc"
]
}
'import requests
url = "https://api.brightdata.com/zone/add_password"
payload = {
"zone": "my_zone",
"password": ["123@Abc", "456$Abc"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({zone: 'my_zone', password: ['123@Abc', '456$Abc']})
};
fetch('https://api.brightdata.com/zone/add_password', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Account Management API
Add zone password
Use the Bright Data Account Management API to add Zone Password. POST /zone/add_password returns 200 OK with zone or account configuration data as JSON.
POST
/
zone
/
add_password
Add Zone Password
Only users with Admin or Ops roles can perform this action.
To add multiple passwords in a single request, pass an array of strings to the
password field.Authorizations
Use your Bright Data API Key as a Bearer token in the Authorization header.
How to authenticate:
- Obtain your API Key from the Bright Data account settings at https://brightdata.com/cp/setting/users
- Include the API Key in the Authorization header of your requests
- Format:
Authorization: Bearer YOUR_API_KEY
Example:
Authorization: Bearer b5648e1096c6442f60a6c4bbbe73f8d2234d3d8324554bd6a7ec8f3f251f07df
Learn how to get your Bright Data API key: https://docs.brightdata.com/api-reference/authentication
Body
application/json
Response
OK
Was this page helpful?
⌘I